%define _name kq1

Name: freesci-data-kq1
Version: 1.0
Release: alt1
Summary: King's Quest I
Summary (ru_RU.UTF-8): King's Quest I
License: Non Free
Group: Games/Adventure
Source0: data.tar.gz
Source1: README.html
NoSource: 0
Buildarch: noarch
Autoreq: 0
Requires: freesci

%description
King's Quest I - Quest for the Crown data files for FreeSCI.

%description -l ru_RU.UTF-8
Файлы данных King's Quest I - Quest for the Crown для FreeSCI.

%prep
%setup -q -n data
%build
%install
install -m755 -d $RPM_BUILD_ROOT%_usr/games/%_name
install -m644 * $RPM_BUILD_ROOT%_usr/games/%_name
# script
echo '#!/bin/sh
if  [ ! -f "$HOME/.freesci/config" ]; then
    mkdir -p "$HOME/.freesci" && touch "$HOME/.freesci/config"
fi

if [ "$(cat "$HOME/.freesci/config" | grep "\[%_name\]")" = "" ]; then
    echo -e "\n[%_name]\nresource_dir=/usr/games/%_name\n" >> "$HOME/.freesci/config"
fi

freesci %_name' > $RPM_BUILD_ROOT%_usr/games/%_name/freesci.sh
chmod 755 $RPM_BUILD_ROOT%_usr/games/%_name/freesci.sh
# Menu
%__mkdir -p %buildroot%_menudir
%__cat >%buildroot%_menudir/%name <<EOF
?package(%name): command="%_usr/games/%_name/freesci.sh" needs="X11" \
section="Games/Adventure" title="Kings Quest I" \
longtitle="A quest game" icon="freesci.png"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%_usr/games/%_name
%_menudir/%name

%changelog
* Fri Nov 22 2002 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt1
- Sample freesci-data package
